Package twisted :: Package manhole :: Module explorer :: Class ExplorerMethod |
[frames | no frames]

## Class ExplorerMethod

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                 ExplorerFunction --+
                                    |
                                   ExplorerMethod

Method Summary
| `__init__(self, method, identifier)`
Inherited from Explorer
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``view_get_refcount`(self, perspective)`
Inherited from Cacheable
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally.
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`list` | `properties` = `['self', 'klass']`
Inherited from Explorer
`list` | `accessors` = `['get_refcount']`
`list` | `attributeGroups` = `[]`
`NoneType` | `id` = None
`NoneType` | `identifier` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Class Variable Details

    ### properties Type: `list` Value:
        ['self', 'klass']

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net